Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 601640 - fails to link - dependency missing from register.sh
fails to link - dependency missing from register.sh
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghc-GLUT (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 07:41 EDT by Ian Collier
Modified: 2010-06-24 12:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-GLUT-2.1.1.2-2.1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 09:04:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Collier 2010-06-08 07:41:20 EDT
Description of problem:
When GLUT is called from within ghci it fails to link because the dependency on libglut is not mentioned in the package registration.

Version-Release number of selected component (if applicable):
ghc-GLUT-devel-2.1.1.2-2.fc12.x86_64

How reproducible:
100%

Steps to Reproduce:
$ ghci
> import Graphics.UI.GLUT
> getArgsAndInitialize
  
Actual results:

Loading package GLUT-2.1.1.2 ... linking ... <interactive>: /usr/lib64/ghc-6.10.4/GLUT-2.1.1.2/HSGLUT-2.1.1.2.o: unknown symbol `glutGet'
ghc: unable to load package `GLUT-2.1.1.2'

Expected results:

Loading package GLUT-2.1.1.2 ... linking ... done.
("<interactive>",[])

Additional info:
If the file /usr/lib64/ghc-6.10.3/GLUT-2.1.1.2/register.sh is edited to append "glut" to the line that says "extra-libraries:" and then the package is unregistered and reregistered, the error goes away.
Comment 1 Jens Petersen 2010-06-10 03:41:02 EDT
Also happens in F13 with ghc-6.12.1.
Comment 2 Jens Petersen 2010-06-10 03:42:11 EDT
Assuming this is GLUT specific then I think this may be an upstream issue
would be good to report to the mailing-list/Sven.
Comment 3 Jens Petersen 2010-06-10 03:52:21 EDT
GLUT-2.2.2.0 seems ok:

$ cabal install GLUT-2.2.2.0
$ ghci -package GLUT-2.2.2.0
:

Seems it was fixed in GLUT-2.2.1.0.

It should be straightforward to patch GLUT.cabal to fix this.
Comment 4 Fedora Update System 2010-06-10 06:52:32 EDT
ghc-GLUT-2.1.2.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ghc-GLUT-2.1.2.1-3.fc13
Comment 5 Fedora Update System 2010-06-10 07:13:01 EDT
ghc-GLUT-2.1.1.2-2.1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ghc-GLUT-2.1.1.2-2.1.fc12
Comment 6 Fedora Update System 2010-06-10 15:05:23 EDT
ghc-GLUT-2.1.2.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-GLUT'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ghc-GLUT-2.1.2.1-3.fc13
Comment 7 Fedora Update System 2010-06-10 15:20:51 EDT
ghc-GLUT-2.1.1.2-2.1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-GLUT'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ghc-GLUT-2.1.1.2-2.1.fc12
Comment 8 Fedora Update System 2010-06-21 09:03:58 EDT
ghc-GLUT-2.1.2.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-06-24 12:21:22 EDT
ghc-GLUT-2.1.1.2-2.1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.